### Method

# Json Builder begin_object

#### Declaration [src]

    JsonBuilder*
    json_builder_begin_object (
      JsonBuilder* builder
    )

#### Description [src]

Opens an object inside the given builder.

You can add a new member to the object by using `json_builder_set_member_name()`, followed by `json_builder_add_value()`.

Once you added all members to the object, you must call `json_builder_end_object()` to close the object.

If the builder is in an inconsistent state, this function will return `NULL`.

#### Return value

Type: `JsonBuilder`

The builder instance.

The returned data is owned by the instance.
The return value can be `NULL`.